html {
	font-size: 16px;
}

.hidden {
  display: none;
}

.theming-background .microservice-contacts--response .ms-contacts--item {
	border-color: #f6f7f8 !important;
}
/************************************************/

/****************  Microservices ****************/

/************************************************/

.microservice-contacts--request {
  position: relative;
  --bg-opacity: 1;
  background-color: #e2e8f0;
  background-color: rgba(226, 232, 240, var(--bg-opacity));
  padding-left: 0.75rem;
  padding-right: 0.75rem;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  margin-top: 0.75rem;
  margin-bottom: 0.75rem;
  padding-bottom: 1.5rem;
  display: flex;
  flex-wrap: wrap;
}

.microservice-contacts--request .ms-contacts--error {
    outline-color: red;
  }

.microservice-contacts--request .ms-contacts--subline {
    font-size: 0.875rem;
  }

.microservice-contacts--request .ms-contacts--topline {
    font-size: 1rem;
  }

.microservice-contacts--request .ms-contacts--search-confirmation {
    --bg-opacity: 1;
    background-color: #1a202c;
    background-color: rgba(26, 32, 44, var(--bg-opacity));
    --text-opacity: 1;
    color: #fff;
    color: rgba(255, 255, 255, var(--text-opacity));
    height: 3rem;
    width: 3rem;
    border: none;
  }

.microservice-contacts--request .ms-contacts--label {
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
    margin-right: 2rem;
  }

.microservice-contacts--request #microservice-contacts--error {
    --text-opacity: 1;
    color: #9b2c2c;
    color: rgba(155, 44, 44, var(--text-opacity));
  }

.microservice-contacts--request #microservice-contacts--input.error {
    border-color: red;
  }

.microservice-contacts--request .ms-contacts--input {
    position: relative;
    flex-grow: 1;
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
  }

.microservice-contacts--request .ms-contacts--input .ms-contacts--topline {
      display:flex;
    }

.microservice-contacts--request .ms-contacts--input .ms-contacts--search-input--inner-label {
      font-size: 0.75rem;
      position: absolute;
      top: 0;
      left: 0;
      padding-left: 0.5rem;
      --text-opacity: 1;
      color: #a0aec0;
      color: rgba(160, 174, 192, var(--text-opacity));
    }

.microservice-contacts--request .ms-contacts--input .ms-contacts--search-input {
      padding: 0.5rem;
      padding-top: 1rem;
      height: 3rem;
      min-width: 8rem;
      width: 80%;
      border: none;
      border-top-left-radius: 4px;
      border-bottom: 1px solid black;
    }

.microservice-contacts--request .ms-contacts--input .ms-contacts--select {
      min-width: 8rem;
      max-width: 24rem;
    }

.microservice-contacts--request .ms-contacts--input .ms-contacts--subline {
      --text-opacity: 1;
      color: #2d3748;
      color: rgba(45, 55, 72, var(--text-opacity));
    }

.microservice-contacts--response {
  margin-top: 2.5rem;
  margin-bottom: 2.5rem;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.microservice-contacts--response .ms-contacts--item {
    position: relative;
    --bg-opacity: 1;
    background-color: #e2e8f0;
    background-color: rgba(226, 232, 240, var(--bg-opacity));
    padding: 0.75rem;
    padding-bottom: 2.5rem;
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
    border-left-width: 8px;
    border-right-width: 8px;
    --border-opacity: 1;
    border-color: #fff;
    border-color: rgba(255, 255, 255, var(--border-opacity));
    border-style: solid;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
	width: 100%;
  }
@media (min-width: 768px) {
	.microservice-contacts--response .ms-contacts--item {
    	width: 50%;
		align-items: flex-start;
	}
}
@media (min-width: 992px) {
	.microservice-contacts--response .ms-contacts--item {
   		width: 33.4%;
	}
}

.microservice-contacts--response .ms-contacts--item.ms-contacts--item-with-image {
      align-items: center;
    }

/* */

.microservice-contacts--response .ms-contacts--item .ms-contacts--picture{
      margin-bottom: 0.75rem;
      width: 100px;
      height: 100px;
      border-radius: 50px;
      overflow: hidden;
    }

.microservice-contacts--response .ms-contacts--item .ms-contacts--responsibility {
      position: absolute;
      bottom: 0;
      left: 0;
      display: flex;
      --bg-opacity: 1;
      background-color: #edf2f7;
      background-color: rgba(237, 242, 247, var(--bg-opacity));
      height: 2rem;
      width: 100%;
      justify-content: center;
      align-items: center;
    }

.microservice-contacts--response .ms-contacts--item .ms-contacts--name {
      padding-bottom: 0.5rem;
      font-weight: 600;
      font-size: 1rem;
    }

.microservice-contacts--response .ms-contacts--item span.ms-contacts--additional-info {
      margin-left: 0.5rem;
    }

.microservice-contacts--response .ms-contacts--item .ms-contacts--phone {
      padding-bottom: 0.5rem;
    }

.microservice-contacts--response .ms-contacts--item .ms-contacts--phone a span {
        text-decoration: underline;
      }

.microservice-contacts--response .ms-contacts--item .ms-contacts--phone a:before {
        padding-right: 0.75rem;
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        content: '\f095';
        text-decoration: none;
      }

.microservice-contacts--response .ms-contacts--item .ms-contacts--fax {
      padding-bottom: 0.5rem;
    }

.microservice-contacts--response .ms-contacts--item .ms-contacts--fax a span {
        text-decoration: underline;
      }

.microservice-contacts--response .ms-contacts--item .ms-contacts--fax a:before {
        padding-right: 0.75rem;
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        content: '\f1ac';
        text-decoration: none;
      }

.microservice-contacts--response .ms-contacts--item .ms-contacts--mail {
      padding-bottom: 0.5rem;
    }

.microservice-contacts--response .ms-contacts--item .ms-contacts--mail a span {
        text-decoration: underline;
      }

.microservice-contacts--response .ms-contacts--item .ms-contacts--mail a:before {
        padding-right: 0.75rem;
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        content: '\f0e0';
        text-decoration: none;
      }

/************************************************/

/************************************************/